1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Noob help

Discussion in 'Sony PSP - Mod and firmware discussion' started by ZippyDSM, May 2, 2007.

  1. ZippyDSM

    ZippyDSM Regular member

    Joined:
    Aug 3, 2005
    Messages:
    1,728
    Likes Received:
    0
    Trophy Points:
    46
    I am looking into PSP stuff I am tried of waiting on emulation to pick up and get working,however I refuse to plop 200 down for a PSP and 2 worth while games and the rest be 20$ crapfests how do you easily run PSP images or can you?
     
  2. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    Um...what type of emulation are you talking about? PSP emulator on a pc? If so, sorry, not possible yet.
     
  3. ZippyDSM

    ZippyDSM Regular member

    Joined:
    Aug 3, 2005
    Messages:
    1,728
    Likes Received:
    0
    Trophy Points:
    46
    PSP on PC is in early stages,what I was wanting was PSP on PSP :X run the images off a 2GB stick or something.
     
  4. bigcuz000

    bigcuz000 Regular member

    Joined:
    Feb 2, 2007
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    26
    yea it is possible. you can rip UMDs into iso files and play them with custom firmware.
     
  5. ZippyDSM

    ZippyDSM Regular member

    Joined:
    Aug 3, 2005
    Messages:
    1,728
    Likes Received:
    0
    Trophy Points:
    46
    ok now the question is what firmware number and what newer firmware can be "turned back".

    thank you for your help ^^
     
  6. bigcuz000

    bigcuz000 Regular member

    Joined:
    Feb 2, 2007
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    26
    all firmware to 3.03 can be downgraded. anything higher than that cannot be downgraded as of now. If you can downgrade the newest custom firmware is 3.40OE-A. what firmware version do you have?
     
  7. ZippyDSM

    ZippyDSM Regular member

    Joined:
    Aug 3, 2005
    Messages:
    1,728
    Likes Received:
    0
    Trophy Points:
    46
    A friend has under 3.0 I am asking for him and for me,altho I dunno I dislike handhelds hate the size the buttons and the display but I like the games,ggaaa I am a fickle bastard ><
     
  8. bigcuz000

    bigcuz000 Regular member

    Joined:
    Feb 2, 2007
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    26
  9. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    Ohhh that type of emulation...you could of been more specific on that. Well, if your friend has 2.81-3.02, he has no other option then to upgrade to 3.03 and then use the 3.03 downgrader. You will need a umd with the 2.0 upgrade of grand theft auto: liberty city stories, if its a 2.6, you cant use that. If he has a 2.80, just use the 2.80 downgrader.
     

Share This Page